%define module snowballstemmer

Name:           python-%{module}
Version:        2.2.0
Release:        %mkrel 1
Summary:        Snowball stemming library collection for Python
Group:          Development/Python
License:        BSD
URL:            https://pypi.python.org/pypi/snowballstemmer
Source0:        %{module}-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools

%description
This package provides 16 stemmer algorithms (15 + Poerter English
stemmer) generated from Snowball algorithms.  It includes following
language algorithms: Danish, Dutch, English (Standard, Porter),
Finnish, French, German, Hungarian, Italian, Norwegian, Portuguese,
Romanian, Russian, Spanish, Swedish, Turkish. This is a pure Python
stemming library. If PyStemmer is available, this module uses it to
accelerate.

%package -n	python3-%{module}
Summary:        Snowball stemming library collection for Python
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description -n	python3-%{module}
This package provides 16 stemmer algorithms (15 + Poerter English
stemmer) generated from Snowball algorithms.  It includes following
language algorithms: Danish, Dutch, English (Standard, Porter),
Finnish, French, German, Hungarian, Italian, Norwegian, Portuguese,
Romanian, Russian, Spanish, Swedish, Turkish. This is a pure Python
stemming library. If PyStemmer is available, this module uses it to
accelerate.

%prep
%setup -qn %{module}-%{version}
cp -a . %{py3dir}

%build
%py2_build
pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}
popd
%py2_install
%py_byte_compile %{__python2} %{buildroot}%{python_sitelib}

%files
%doc COPYING README.rst
%{python_sitelib}/*

%files -n python3-%{module}
%doc COPYING README.rst
%{python3_sitelib}/*

%changelog
* Sat Apr 02 2022 TerryN <terryn94 at gmail.com> 2.2.0-1pclos2022
- update and rebuild for python 3.10

* Mon Apr 02 2018 marcin82 <fixxer1982 at gmail.com> 1.2.1-1pclos2018
- initial build for PCLinuxOS
